Package org.opensaml.soap.wssecurity.impl

# Class AbstractWSSecurityObjectBuilder<WSSecurityObjectType extends WSSecurityObject>

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<WSSecurityObjectType>
org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObjectBuilder<WSSecurityObjectType>

Type Parameters:
  `WSSecurityObjectType` - type of object

All Implemented Interfaces:
  `XMLObjectBuilder<WSSecurityObjectType>`, `WSSecurityObjectBuilder<WSSecurityObjectType>`

Direct Known Subclasses:
  `BinarySecurityTokenBuilder`, `CreatedBuilder`, `EmbeddedBuilder`, `EncryptedHeaderBuilder`, `ExpiresBuilder`, `IterationBuilder`, `KeyIdentifierBuilder`, `NonceBuilder`, `PasswordBuilder`, `ReferenceBuilder`, `SaltBuilder`, `SecurityBuilder`, `SecurityTokenReferenceBuilder`, `SignatureConfirmationBuilder`, `TimestampBuilder`, `TransformationParametersBuilder`, `UsernameBuilder`, `UsernameTokenBuilder`

public abstract class AbstractWSSecurityObjectBuilder<WSSecurityObjectType extends WSSecurityObject> extends AbstractXMLObjectBuilder<WSSecurityObjectType> implements WSSecurityObjectBuilder<WSSecurityObjectType>
AbstractWSSecurityObjectBuilder.

## Constructor Summary

Constructors
Constructor
Description
`AbstractWSSecurityObjectBuilder()`

## Method Summary

Modifier and Type
Method
Description
`abstract WSSecurityObjectType`
`buildObject()`
Builds a WS-Security object of the given type.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### AbstractWSSecurityObjectBuilder

public AbstractWSSecurityObjectBuilder()

## Method Details

### buildObject

@Nonnull public abstract WSSecurityObjectType buildObject()
Builds a WS-Security object of the given type.

Specified by:
  `buildObject` in interface `WSSecurityObjectBuilder<WSSecurityObjectType extends WSSecurityObject>`
Returns:
  the built object